
Name: blosxom-plugins
Summary: Plugins for blosxom, the lightweight blogging application
Version: 2.0.0
Release: 2%{?org_tag}
Source0: http://downloads.sourceforge.net/blosxom/%{name}-%{version}.tar.gz
License: MIT/GPL/Perl
URL: http://blosxom-plugins.sourceforge.net
Group: Applications/Internet
BuildRoot: %{_tmppath}/%{name}-%{version}
Requires: blosxom
#Requires: perl-Blosxom-IncludePluginConfig;
BuildArch: noarch

%description
This package contains a set of plugins for blosxom, the lightweight
blogging application.

%prep
%setup 

%build

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

mkdir -p %{buildroot}/var/www/blosxom/plugins

cp [a-z]* %{buildroot}/var/www/blosxom/plugins
cp Markdown %{buildroot}/var/www/blosxom/plugins
cp SmartyPants %{buildroot}/var/www/blosxom/plugins

rm -f %{buildroot}/var/www/blosxom/plugins/*.README
rm -f %{buildroot}/var/www/blosxom/plugins/*.LICEN?E
rm -f %{buildroot}/var/www/blosxom/plugins/*.spec

install activate_blosxom_ipc %{buildroot}/var/www/blosxom/plugins

%post
/var/www/blosxom/plugins/activate_blosxom_ipc

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
/var/www/blosxom/plugins/*
%doc *.LICENCE 
%doc *.README

%changelog
* Fri Aug 17 2007 Gavin Carr <gavin@openfusion.com.au> 2.0.0-2
- Fix exit problem with activate_blosxom_ipc script.

* Thu Aug 16 2007 Gavin Carr <gavin@openfusion.com.au> 2.0.0-1
- Initial package, including about 40 blosxom plugins.

